diff -urN dh-make-0.39/dh_make dh-make-0.39.diff/dh_make
--- dh-make-0.39/dh_make	2005-05-18 13:28:50.000000000 +0200
+++ dh-make-0.39.diff/dh_make	2005-07-07 19:56:00.000000000 +0200
@@ -9,6 +9,9 @@
 #Getopt::Long::Configure ("bundling");  
 #Getopt::Long::Configure ("bundling_override");  
 
+# Turns off autoabbrev to avoid mistakes with cdbs and copyroght options.
+$Getopt::Long::autoabbrev = 0;
+
 # Some important parameters
 our $DHLIB="/usr/share/debhelper/dh_make";
 our $POLICY_VERSION="3.6.1";
@@ -123,24 +126,23 @@
 sub parse_args
 {
   my ($dohelp,$doversion, $single,$multi,$library, $kmod,$cdbs );
-  my %options = ('copyright' => \$main::license,
-              'email' => \$main::email,
-              'file' => \$main::source_file,
-	      'help' => \$dohelp,
-	      'version' => \$doversion,
-	      'native' => \$main::debian_native,
-	      'single' => \$single,
-	      'multi' => \$multi,
-	      'library' => \$library,
-	      'kmod' => \$kmod,
-	      'cdbs' => \$cdbs,
-	      'addmissing' => \$main::add_missing,
-	      'templates' => \$main::custom,
-	      'defaultless' => \$main::no_defaults,
-	      'overlay' => \$main::overlay,
-		  'packagename' => \$main::forced_package_name,
-	      );
-  if (GetOptions(\%options, "copyright=s", "email=s", "file=s", "templates=s", "overlay=s", "packagename=s", "help", "version", "native", "single", "multi", "library", "kmod", "cdbs", "addmissing", "defaultless") == 0)
+  if (GetOptions('copyright|c=s' => \$main::license,
+              'email|e=s' => \$main::email,
+              'file|f=s' => \$main::source_file,
+	      'help|h' => \$dohelp,
+	      'version|v' => \$doversion,
+	      'native|n' => \$main::debian_native,
+	      'single|s' => \$single,
+	      'multi|m' => \$multi,
+	      'library|l' => \$library,
+	      'kmod|k' => \$kmod,
+	      'cdbs|b' => \$cdbs,
+	      'addmissing|a' => \$main::add_missing,
+	      'templates|t=s' => \$main::custom,
+	      'defaultless|d' => \$main::no_defaults,
+	      'overlay|o=s' => \$main::overlay,
+	      'packagename|p=s' => \$main::forced_package_name
+	      ) == 0)
   {
     show_help();
     exit;
@@ -372,7 +374,7 @@
 {
   while ($package_type eq "")
   {
-    print "\nType of package: single binary, multiple binary, library, or kernel module?\n [s/m/l/k] ";
+    print "\nType of package: single binary, multiple binary, library, kernel module or cdbs?\n [s/m/l/k/b] ";
     my $type = <STDIN>;
     chomp($type);
     print "\n";
diff -urN dh-make-0.39/dh_make.1 dh-make-0.39.diff/dh_make.1
--- dh-make-0.39/dh_make.1	2005-01-14 02:07:51.000000000 +0100
+++ dh-make-0.39.diff/dh_make.1	2005-07-07 19:56:43.000000000 +0200
@@ -42,6 +42,10 @@
 The package will generate a binary-all kernel module -source package for
 use with the make-kpkg command. It also generates a binary package for
 additional utilities, daemons, etc. that may come with the source.
+.TP
+.B cdbs (b)
+The package will be build using the Common Debian Build System.
+CDBS provides a sane set of default rules upon which packages can build.
 .SH ACTIONS PERFORMED
 .B dh_make
 copies the archive on the higher directory level into
@@ -116,6 +120,9 @@
 .I -k, --kmod
 Automatically set the package class to Kernel module, skipping the question.
 .TP
+.I -b, --cdbs
+Automatically set package class to cdbs, skipping the question.
+.TP
 .I -a, --addmissing
 Adds missing example and control files on an existing debian source directory.
 .TP
